# OF04 - Get information and statistics about offer imports

Call FrequencyRecommended usage: Every 5 minutesMaximum usage: Once per minuteRead MoreMore contextPaginationThis resource supports seek pagination (see documentation)Sort fieldssort field can have the following values:dateCreated (Default) - Sort by creation date (desc by default)

Endpoint: GET /api/offers/imports
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_OFFER_WRITE, ROLE_PARTNER_OFFER_TRACKING_READ

## Query parameters:

  - `start_date` (string)
    Start creation date for filtering

  - `end_date` (string)
    End creation date for filtering

  - `status` (string)
    Offer import status

  - `mode` (string)
    Offer import mode

  - `origins` (array)
    List of offer import origins for filtering. This parameter can be supplied multiple times (origins=API&origins=FTP...).

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `data` (array, required)
    Page of data

  - `data.date_created` (string, required)
    Import creation date

  - `data.has_error_report` (boolean, required)
    Indicate if an error report exists

  - `data.import_id` (integer, required)
    Import ID

  - `data.lines_in_error` (integer, required)
    Total count of lines in error

  - `data.lines_in_pending` (integer, required)
    Total count of lines in pending

  - `data.lines_in_success` (integer, required)
    Total count of lines in success

  - `data.lines_read` (integer, required)
    Total count of lines read

  - `data.mode` (string, required)
    Import mode
Enum: `"NORMAL"`, `"REPLACE"`
See deprecated valuesDeprecated values: `"PARTIAL_UPDATE"`

  - `data.offer_deleted` (integer, required)
    Total count of deleted offers

  - `data.offer_inserted` (integer, required)
    Total count of inserted offers

  - `data.offer_updated` (integer, required)
    Total count of updated offers

  - `data.origin` (string, required)
    Import origin
Enum: `"API"`, `"FTP"`, `"SFTP"`, `"HTTP"`, `"HTTPS"`, `"FRONT"`, `"PENDING_OFFERS"`

  - `data.reason_status` (string)
    Import status reason

  - `data.shop_id` (integer, required)
    Shop identifier

  - `data.status` (string, required)
    Import status
Enum: `"WAITING_SYNCHRONIZATION_PRODUCT"`, `"WAITING"`, `"RUNNING"`, `"COMPLETE"`, `"FAILED"`

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

